diff -ur CoinMP-1.8.4.orig/BuildTools/coin.m4 CoinMP-1.8.4/BuildTools/coin.m4
--- CoinMP-1.8.4.orig/BuildTools/coin.m4	2016-10-25 07:09:40.000000000 -0700
+++ CoinMP-1.8.4/BuildTools/coin.m4	2019-04-30 19:14:33.975417164 -0700
@@ -148,6 +148,7 @@
 [AC_BEFORE([$0],[AC_COIN_PROG_CXX])dnl
 AC_BEFORE([$0],[AC_COIN_PROG_CC])dnl
 AC_BEFORE([$0],[AC_COIN_PROG_F77])dnl
+AC_REQUIRE([AC_PROG_F77])
 
 AC_MSG_CHECKING([whether we want to compile in debug mode])
 
@@ -277,6 +278,7 @@
 AC_DEFUN([AC_COIN_PROG_CXX],
 [AC_REQUIRE([AC_COIN_PROG_CC]) #Let's try if that overcomes configuration problem with VC++ 6.0
 AC_REQUIRE([AC_COIN_ENABLE_MSVC])
+AC_REQUIRE([AC_PROG_CXX])
 AC_LANG_PUSH(C++)
 
 AC_ARG_VAR(CXXDEFS,[Additional -D flags to be used when compiling C++ code.])
@@ -667,6 +669,7 @@
 
 AC_DEFUN([AC_COIN_PROG_CC],
 [AC_REQUIRE([AC_COIN_ENABLE_MSVC])
+AC_REQUIRE([AC_PROG_CC])
 AC_LANG_PUSH(C)
 
 # For consistency, we set the C compiler to the same value of the C++
@@ -936,6 +939,7 @@
 [AC_REQUIRE([AC_COIN_ENABLE_MSVC])
 AC_REQUIRE([AC_COIN_PROG_CC])
 AC_REQUIRE([AC_COIN_F77_COMPS])
+AC_REQUIRE([AC_PROG_F77])
 AC_LANG_PUSH([Fortran 77])
 
 AC_ARG_VAR(ADD_FFLAGS,[Additional Fortran compiler options])
@@ -1018,7 +1022,8 @@
             coin_dbg_fflags="-g -CA -CB -CS"
             # Check if -i_dynamic is necessary (for new glibc library)
             FFLAGS=
-            AC_TRY_LINK(,[      write(*,*) 'Hello world'],[],
+            AC_LINK_IFELSE([AC_LANG_PROGRAM([],
+                        [[      write(*,*) 'Hello world']])], [],
                         [coin_add_fflags="-i_dynamic $coin_add_fflags"])
             ;;
           pgf77* | */pgf77* | pgf90* | */pgf90*)
@@ -1060,7 +1065,8 @@
   if test -z "$coin_opt_fflags"; then
     # Try if -O option works if nothing else is set
     FFLAGS=-O
-    AC_TRY_LINK(,[      integer i], [coin_opt_fflags="-O"])
+    AC_LINK_IFELSE([AC_LANG_PROGRAM([], [[      integer i]])],
+                [coin_opt_fflags="-O"], [])
   fi
 
   # if PM doesn't want the warning messages, take them out
@@ -1095,11 +1101,13 @@
 
 # Try if FFLAGS works
 if test "$F77" != "unavailable" ; then
-  AC_TRY_LINK(,[      integer i],[],[FFLAGS=])
+  AC_LINK_IFELSE([AC_LANG_PROGRAM([], [[      integer i]])],
+              [], [FFLAGS=])
   if test -z "$FFLAGS"; then
     AC_MSG_WARN([The flags FFLAGS="$FFLAGS" do not work.  I will now just try '-O', but you might want to set FFLAGS manually.])
     FFLAGS='-O'
-    AC_TRY_LINK(,[      integer i],[],[FFLAGS=])
+    AC_LINK_IFELSE([AC_LANG_PROGRAM([], [[      integer i]])],
+                [], [FFLAGS=])
     if test -z "$FFLAGS"; then
       AC_MSG_WARN([This value for FFLAGS does not work.  I will continue with empty FFLAGS, but you might want to set FFLAGS manually.])
     fi
@@ -1208,6 +1216,7 @@
 AC_DEFUN([AC_COIN_F77_WRAPPERS],
 [AC_BEFORE([AC_COIN_PROG_F77],[$0])dnl
 AC_REQUIRE([_AC_COIN_F77_LIBRARY_LDFLAGS])dnl
+AC_REQUIRE([AC_PROG_F77])
 
 AC_LANG_PUSH([Fortran 77])
 AC_F77_WRAPPERS
@@ -2120,6 +2129,7 @@
 AC_BEFORE([AC_COIN_PROG_CC],[$0])
 AC_BEFORE([AC_COIN_PROG_F77],[$0])
 AC_BEFORE([$0],[AC_COIN_FINALIZE])
+AC_REQUIRE([AC_PROG_F77])
 
 coin_has_zlib=no
 
@@ -2165,6 +2175,7 @@
 AC_BEFORE([AC_COIN_PROG_CC],[$0])
 AC_BEFORE([AC_COIN_PROG_F77],[$0])
 AC_BEFORE([$0],[AC_COIN_FINALIZE])
+AC_REQUIRE([AC_PROG_F77])
 
 AC_ARG_ENABLE([bzlib],
               [AC_HELP_STRING([--disable-bzlib],[do not compile with compression library bzlib])],
@@ -2209,6 +2220,7 @@
 AC_BEFORE([AC_COIN_PROG_CC],[$0])
 AC_BEFORE([AC_COIN_PROG_F77],[$0])
 AC_BEFORE([$0],[AC_COIN_FINALIZE])
+AC_REQUIRE([AC_PROG_F77])
 
 coin_has_readline=no
 if test $coin_enable_gnu = yes; then
@@ -2256,6 +2268,7 @@
 AC_BEFORE([AC_COIN_PROG_CC],[$0])
 AC_BEFORE([AC_COIN_PROG_F77],[$0])
 AC_BEFORE([$0],[AC_COIN_FINALIZE])
+AC_REQUIRE([AC_PROG_F77])
 
 AC_ARG_ENABLE([gmp],
               [AC_HELP_STRING([--disable-gmp],[do not compile with GNU multiple precision library])],
diff -ur CoinMP-1.8.4.orig/Cbc/Makefile.am CoinMP-1.8.4/Cbc/Makefile.am
--- CoinMP-1.8.4.orig/Cbc/Makefile.am	2015-02-07 11:56:19.000000000 -0800
+++ CoinMP-1.8.4/Cbc/Makefile.am	2019-04-30 19:12:21.149131482 -0700
@@ -158,4 +158,4 @@
 # Files that are generated and should be cleaned with make distclean
 DISTCLEANFILES =
 
-include BuildTools/Makemain.inc
+include ../BuildTools/Makemain.inc
diff -ur CoinMP-1.8.4.orig/Cbc/configure.ac CoinMP-1.8.4/Cbc/configure.ac
--- CoinMP-1.8.4.orig/Cbc/configure.ac	2019-02-22 16:16:38.000000000 -0800
+++ CoinMP-1.8.4/Cbc/configure.ac	2019-04-30 19:28:23.439447182 -0700
@@ -20,6 +20,8 @@
 This file is part of the open source package Coin which is distributed
 under the Eclipse Public License.])
 
+m4_include([../BuildTools/coin.m4])
+
 # List one file in the package so that the configure script can test
 # whether the package is actually there
 AC_CONFIG_SRCDIR(src/CbcTree.hpp)
@@ -52,6 +54,8 @@
 # Initialize automake and libtool
 AC_COIN_INIT_AUTO_TOOLS
 
+LT_INIT
+
 #############################################################################
 #                            COIN-OR components                             #
 #############################################################################
diff -ur CoinMP-1.8.4.orig/Cgl/Makefile.am CoinMP-1.8.4/Cgl/Makefile.am
--- CoinMP-1.8.4.orig/Cgl/Makefile.am	2015-02-07 11:56:21.000000000 -0800
+++ CoinMP-1.8.4/Cgl/Makefile.am	2019-04-30 19:12:21.149131482 -0700
@@ -96,4 +96,4 @@
 # Files that are generated and should be cleaned with make distclean
 DISTCLEANFILES =
 
-include BuildTools/Makemain.inc
+include ../BuildTools/Makemain.inc
diff -ur CoinMP-1.8.4.orig/Cgl/configure.ac CoinMP-1.8.4/Cgl/configure.ac
--- CoinMP-1.8.4.orig/Cgl/configure.ac	2019-02-22 15:53:37.000000000 -0800
+++ CoinMP-1.8.4/Cgl/configure.ac	2019-04-30 19:28:19.639410332 -0700
@@ -20,6 +20,8 @@
 This file is part of the open source package Coin which is distributed
 under the Eclipse Public License.])
 
+m4_include([../BuildTools/coin.m4])
+
 # List one file in the package so that the configure script can test
 # whether the package is actually there
 AC_CONFIG_SRCDIR(src/CglMessage.hpp)
@@ -52,6 +54,8 @@
 # Initialize automake and libtool
 AC_COIN_INIT_AUTO_TOOLS
 
+LT_INIT
+
 #############################################################################
 #                            COIN-OR components                             #
 #############################################################################
diff -ur CoinMP-1.8.4.orig/Clp/Makefile.am CoinMP-1.8.4/Clp/Makefile.am
--- CoinMP-1.8.4.orig/Clp/Makefile.am	2015-03-09 08:16:55.000000000 -0700
+++ CoinMP-1.8.4/Clp/Makefile.am	2019-04-30 19:12:21.149131482 -0700
@@ -146,4 +146,4 @@
 # Files that are generated and should be cleaned with make distclean
 DISTCLEANFILES =
 
-include BuildTools/Makemain.inc
+include ../BuildTools/Makemain.inc
diff -ur CoinMP-1.8.4.orig/Clp/configure.ac CoinMP-1.8.4/Clp/configure.ac
--- CoinMP-1.8.4.orig/Clp/configure.ac	2019-02-22 15:45:48.000000000 -0800
+++ CoinMP-1.8.4/Clp/configure.ac	2019-04-30 19:28:15.671371852 -0700
@@ -20,6 +20,8 @@
 This file is part of the open source package Coin which is distributed
 under the Eclipse Public License.])
 
+m4_include([../BuildTools/coin.m4])
+
 # List one file in the package so that the configure script can test
 # whether the package is actually there
 AC_CONFIG_SRCDIR(src/ClpSimplex.cpp)
@@ -52,6 +54,8 @@
 # Initialize automake and libtool
 AC_COIN_INIT_AUTO_TOOLS
 
+LT_INIT
+
 #############################################################################
 #                              COIN-OR components                           #
 #############################################################################
@@ -139,7 +143,7 @@
   LIBS="$LIBS $use_wsmp $BLAS_LIBS"
   AC_LANG_PUSH([Fortran 77])
   AC_MSG_CHECKING([whether user-supplied WSMP library \"$use_wsmp\" works])
-  AC_TRY_LINK([],[      call WSSMP()],
+  AC_LINK_IFELSE([AC_LANG_PROGRAM([], [[      call WSSMP()]])],
               [AC_MSG_RESULT(yes)],
               [AC_MSG_RESULT(no)
                AC_MSG_ERROR([WSMP library $use_wsmp does not seem to work])])
diff -ur CoinMP-1.8.4.orig/CoinMP/Makefile.am CoinMP-1.8.4/CoinMP/Makefile.am
--- CoinMP-1.8.4.orig/CoinMP/Makefile.am	2015-01-27 22:55:44.000000000 -0800
+++ CoinMP-1.8.4/CoinMP/Makefile.am	2019-04-30 19:12:21.149131482 -0700
@@ -88,4 +88,4 @@
 # Files that are generated and should be cleaned with make distclean
 DISTCLEANFILES =
 
-include BuildTools/Makemain.inc
+include ../BuildTools/Makemain.inc
diff -ur CoinMP-1.8.4.orig/CoinMP/configure.ac CoinMP-1.8.4/CoinMP/configure.ac
--- CoinMP-1.8.4.orig/CoinMP/configure.ac	2019-02-23 11:34:54.000000000 -0800
+++ CoinMP-1.8.4/CoinMP/configure.ac	2019-04-30 19:28:27.207483721 -0700
@@ -20,6 +20,8 @@
 This file is part of the open source package CoinMP which is distributed
 under the Common Public License.])
 
+m4_include([../BuildTools/coin.m4])
+
 # List one file in the package so that the configure script can test
 # whether the package is actually there
 AC_CONFIG_SRCDIR(src/CoinMP.h)
@@ -52,6 +54,8 @@
 # Initialize automake and libtool
 AC_COIN_INIT_AUTO_TOOLS
 
+LT_INIT
+
 #############################################################################
 #                            COIN-OR components                             #
 #############################################################################
diff -ur CoinMP-1.8.4.orig/CoinUtils/Makefile.am CoinMP-1.8.4/CoinUtils/Makefile.am
--- CoinMP-1.8.4.orig/CoinUtils/Makefile.am	2015-02-06 16:02:10.000000000 -0800
+++ CoinMP-1.8.4/CoinUtils/Makefile.am	2019-04-30 19:12:21.150131492 -0700
@@ -93,4 +93,4 @@
 # Files that are generated and should be cleaned with make distclean
 DISTCLEANFILES =
 
-include BuildTools/Makemain.inc
+include ../BuildTools/Makemain.inc
diff -ur CoinMP-1.8.4.orig/CoinUtils/configure.ac CoinMP-1.8.4/CoinUtils/configure.ac
--- CoinMP-1.8.4.orig/CoinUtils/configure.ac	2019-02-22 11:53:04.000000000 -0800
+++ CoinMP-1.8.4/CoinUtils/configure.ac	2019-04-30 19:28:05.735275497 -0700
@@ -20,6 +20,8 @@
 This file is part of the open source package Coin which is distributed
 under the Eclipse Public License.])
 
+m4_include([../BuildTools/coin.m4])
+
 # List one file in the package so that the configure script can test
 # whether the package is actually there
 AC_CONFIG_SRCDIR(src/CoinError.cpp)
@@ -61,6 +63,8 @@
 # Initialize automake and libtool
 AC_COIN_INIT_AUTO_TOOLS
 
+LT_INIT
+
 ############################################################################
 #                   Stuff that we need for finite and isnan                #
 ############################################################################
diff -ur CoinMP-1.8.4.orig/Data/Sample/Makefile.am CoinMP-1.8.4/Data/Sample/Makefile.am
--- CoinMP-1.8.4.orig/Data/Sample/Makefile.am	2012-11-21 10:57:40.000000000 -0800
+++ CoinMP-1.8.4/Data/Sample/Makefile.am	2019-04-30 19:12:21.150131492 -0700
@@ -22,7 +22,7 @@
 pkgconfiglibdir = $(libdir)/pkgconfig
 pkgconfiglib_DATA = coindatasample.pc
 
-include BuildTools/Makemain.inc
+include ../../BuildTools/Makemain.inc
 
 test:
 	@echo "No test available."
diff -ur CoinMP-1.8.4.orig/Data/Sample/configure.ac CoinMP-1.8.4/Data/Sample/configure.ac
--- CoinMP-1.8.4.orig/Data/Sample/configure.ac	2018-11-17 08:27:50.000000000 -0800
+++ CoinMP-1.8.4/Data/Sample/configure.ac	2019-04-30 19:12:21.150131492 -0700
@@ -20,6 +20,8 @@
 This file is part of the open source package Coin which is distributed
 under the Eclipse Public License.])
 
+m4_include([../../BuildTools/coin.m4])
+
 # List one file in the package so that the configure script can test
 # whether the package is actually there
 AC_CONFIG_SRCDIR(configure.ac)
diff -ur CoinMP-1.8.4.orig/Osi/Makefile.am CoinMP-1.8.4/Osi/Makefile.am
--- CoinMP-1.8.4.orig/Osi/Makefile.am	2015-02-07 11:56:33.000000000 -0800
+++ CoinMP-1.8.4/Osi/Makefile.am	2019-04-30 19:12:21.150131492 -0700
@@ -126,4 +126,4 @@
 # Files that are generated and should be cleaned with make distclean
 DISTCLEANFILES =
 
-include BuildTools/Makemain.inc
+include ../BuildTools/Makemain.inc
diff -ur CoinMP-1.8.4.orig/Osi/configure.ac CoinMP-1.8.4/Osi/configure.ac
--- CoinMP-1.8.4.orig/Osi/configure.ac	2019-02-22 12:17:19.000000000 -0800
+++ CoinMP-1.8.4/Osi/configure.ac	2019-04-30 19:28:10.943326002 -0700
@@ -20,6 +20,8 @@
 This file is part of the open source package Coin which is distributed
 under the Eclipse Public License.])
 
+m4_include([../BuildTools/coin.m4])
+
 # List one file in the package so that the configure script can test
 # whether the package is actually there
 AC_CONFIG_SRCDIR(src/Osi/OsiAuxInfo.cpp)
@@ -49,6 +51,8 @@
 # Initialize automake and libtool
 AC_COIN_INIT_AUTO_TOOLS
 
+LT_INIT
+
 #############################################################################
 #                              COIN-OR components                           #
 #############################################################################
diff -ur CoinMP-1.8.4.orig/configure.ac CoinMP-1.8.4/configure.ac
--- CoinMP-1.8.4.orig/configure.ac	2019-02-23 11:34:54.000000000 -0800
+++ CoinMP-1.8.4/configure.ac	2019-04-30 19:20:45.540012978 -0700
@@ -20,6 +20,8 @@
 This file is part of the open source package CoinMP which is distributed
 under the Common Public License.])
 
+m4_include([BuildTools/coin.m4])
+
 AC_REVISION(0.9)
 
 # List one file in the package so that the configure script can test
